Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.element
Interface IDataSource

    public interface IDataSource

Script wrapper of OdaDataSourceHandle

Method Summary
`java.lang.String` | `getExtensionID()` Returns ID of the extension which extends this ODA data source.
`java.lang.String` | `getPrivateDriverProperty(java.lang.String name)` Returns a private driver property value with the given property name.
`void` | `setPrivateDriverProperty(java.lang.String name, java.lang.String value)` Sets a private driver property value with the given name and value.

Method Detail

### getExtensionID

    java.lang.String getExtensionID()

  Returns ID of the extension which extends this ODA data source.

  Returns:
    the extension ID

### getPrivateDriverProperty

    java.lang.String getPrivateDriverProperty(java.lang.String name)

  Returns a private driver property value with the given property name.

  Parameters:
    `name` - the name of a public driver property
  Returns:
    a public driver property value

### setPrivateDriverProperty

    void setPrivateDriverProperty(java.lang.String name,
                                  java.lang.String value)
                                  throws ScriptException

  Sets a private driver property value with the given name and value. If the property does not exist, it will be added into the property list. If the property already exists, the value will be overwritten.

  Parameters:
    `name` - the name of a public driver property
    `value` - the value of a public driver property
  Throws:
    `ScriptException` - if `name` is `null` or an empty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.